<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xs:template-name>Spartan</xs:template-name>
<xs:template-description>A basic BYOJeopardy html template with no graphics or css styles.  This produces html files that take up very little space and run very fast.  Requires Javascript enabled on the browser.</xs:template-description>
<xs:template-version>2.0</xs:template-version>
<xs:template-image></xs:template-image>

<xsl:output method="html"/>
<xsl:template match="byojeopardy">
<html>
<head>
<title><xsl:text>BYOJeopardy -- </xsl:text><xsl:value-of select="$OutputFileName"/></title>

<script type="text/javascript">
	<![CDATA[
	var firstquestion = 0;
	var ran_number;
	var IsDailyDouble = 0;
	]]>
	
<xsl:call-template name="DailyDoubleFinder">
<xsl:with-param name="N" select="1"/>
</xsl:call-template>

<![CDATA[
function Show_Question()
{
	document.getElementById('board').style.display = "none";
	document.getElementById('question').style.display = "";
}
function Hide_Question()
{
	document.getElementById('board').style.display = "";
	document.getElementById('question').style.display = "none";
}
function Show_Answer()
{
	if (document.getElementById('question_link').innerHTML == 'Answer')
{
		document.getElementById('question_display').innerHTML = document.getElementById('question_display').ans_string;
		document.getElementById('question_link').innerHTML = 'Question';
}
	else if(document.getElementById('question_link').innerHTML == 'Start Daily Double')
{
		document.getElementById('question_display').style.color='white';
	]]>
<xsl:choose>
	<xsl:when test="$answer_in_form_of_question = 1">
		<![CDATA[
			 document.getElementById('question_display').innerHTML = document.getElementById('question_display').ans_string;
			 document.getElementById('question_link').innerHTML = 'Question';
			 ]]>
	</xsl:when>
	<xsl:otherwise>
		<![CDATA[
			 document.getElementById('question_display').innerHTML = document.getElementById('question_display').ques_string;
			 document.getElementById('question_link').innerHTML = 'Answer';
			 ]]>
	</xsl:otherwise>
</xsl:choose>
		<![CDATA[	
}
	else
{
		document.getElementById('question_display').innerHTML= document.getElementById('question_display').ques_string;
		document.getElementById('question_link').innerHTML = 'Answer';
}
}
function Disable_Link(BtnLink)
{
if (firstquestion==0)
{
var col = 5;
var row = 5;
var ran_col, ran_row;
ran_col= new String(Math.floor(Math.random()*col)+1);
ran_row= new String(Math.floor(Math.random()*row)+1);
ran_number=ran_row.concat(ran_col);
firstquestion = 1;
}
document.getElementById(BtnLink).onclick=new Function('javascript: return false;');
document.getElementById(BtnLink).style.color='rgb(128, 147, 176)';
if(BtnLink==ran_number && IsDailyDouble==1)
{
document.getElementById('question_display').ques_string = DailyDouble_question;
document.getElementById('question_display').ans_string = DailyDouble_answer;
document.getElementById('value_display').innerHTML = "Daily Double";
document.getElementById('topic_display').innerHTML = DailyDouble_value;
document.getElementById('question_display').innerHTML = "Daily Double";
document.getElementById('question_link').innerHTML = 'Start Daily Double';
}
else
{
var var_value_string = document.getElementById(BtnLink).innerHTML;
document.getElementById('value_display').innerHTML = var_value_string;
var var_topic_string = document.getElementById(BtnLink).getAttribute('topic_string');
document.getElementById('topic_display').innerHTML = var_topic_string;
var var_question_string = document.getElementById(BtnLink).getAttribute('ques_string');
document.getElementById('question_display').ques_string = var_question_string;
document.getElementById('question_display').style.color='red';
var var_anwser_string = document.getElementById(BtnLink).getAttribute('ans_string');
document.getElementById('question_display').ans_string = var_anwser_string;
]]>
		<xsl:choose>
			<xsl:when test="$answer_in_form_of_question = 1">
				<![CDATA[
					 document.getElementById('question_display').innerHTML = var_anwser_string;
					 document.getElementById('question_link').innerHTML = 'Question';
					 ]]>
			</xsl:when>
			<xsl:otherwise>
				<![CDATA[
					 document.getElementById('question_display').innerHTML = var_question_string;
					 document.getElementById('question_link').innerHTML = 'Answer';
					 ]]>
			</xsl:otherwise>
		</xsl:choose>
		<![CDATA[
			 }
			 return true;
			 }
			 ]]>
	</script>
</head>

<body>
<span id="board" style="">
<table align="center" cellspacing="5" height="400" width="400">
    <tr>
       <xsl:apply-templates select="topic"/>
    </tr>
		<tr height="5" />
    <xsl:call-template name="rowCounter">
      <xsl:with-param name="N" select="1"/>
   </xsl:call-template>
  </table>
</span>

<span id="question" style="display: none;">
<table align="center" cellspacing="5" height="400" width="400">
	<tbody>
		<tr>
			<td align="center" width="%50"><span id="value_display"></span></td>
			<td align="center" width="%50"><span id="topic_display"></span></td>
		</tr>
		<tr>
			<th colspan="2" align="center"> <span id="question_display" ques_string="" ans_string=""></span></th>
		</tr>
		<tr>
			<td align="center" width="%50"> <a href="javascript:Hide_Question()">Back to Board</a> </td>
			<td align="center" width="%50"> <a id="question_link" href="javascript:Show_Answer()">Answer</a></td>
		</tr>
	</tbody>
</table>
</span>

<br />
	<xsl:comment>
		We request you retain the full copyright notice below including the link to www.wolfescience.com.
		This not only gives respect to the large amount of time given freely by the developers
		but also helps build interest, traffic and use of www.wolfescience.com. If you cannot (for good
		reason) retain the full copyright we request you at least leave in place the
		Created by BYOJeopardy at available from www.wolfescience.com line, with wolfescience linked to www.wolfescience.com. If you refuse
		to include even this then support on our forums may be affected.
		Doug Wolfe: 2006
	</xsl:comment>
		<div align="center"><font size="-2">created by BYOJeopardy <br />
		available from <a href="http://www.wolfescience.com/">www.wolfescience.com</a>
		</font></div>

     </body>
</html>
</xsl:template>

<xsl:template name="rowCounter">
<xsl:param name="N" /><!--Row Counter-->
<!-- If there are any values in any section -->
<xsl:if test="topic/value[ $N ]">
	<tr>
	<!-- We produce a TD for each section, -->
	<xsl:for-each select="topic">
		<xsl:if test="topic_name != 'Daily Double'">
		<td align="center">
		<xsl:variable name="question_variable">
			<xsl:call-template name="fixquotes">
			<xsl:with-param name="string" select="value[ $N ]/question"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="answer_variable">
			<xsl:call-template name="fixquotes">
			<xsl:with-param name="string" select="value[ $N ]/answer"/>
		</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="link_id" select="concat(position(), $N)"/>
		<a href="javascript:Show_Question()" id="{$link_id}" topic_string='{topic_name}' ques_string='{$question_variable}' ans_string='{$answer_variable}' onclick="javascript:Disable_Link('{$link_id}');" color="">
		<xsl:apply-templates select="value[ $N ]/amount"/></a>
			<!--xsl:value-of select="amount"/-->
			<!--xsl:value-of select="question"/-->
			<!--xsl:value-of select="answer"/-->
		<!-- This space is needed to stop us getting empty
		TD elements which XT outputs as <TD/> which
		Netscape doesn't like. -->
		</td>
		</xsl:if>
	</xsl:for-each>
	</tr>
	
	<!-- The recursive call for the next larger value of N -->
<xsl:call-template name="rowCounter">
<xsl:with-param name="N" select="$N + 1"/>
</xsl:call-template>

</xsl:if>
</xsl:template>

<xsl:template name="DailyDoubleFinder">
<!-- We produce a TD for each section, -->
	<xsl:for-each select="topic">
		<xsl:if test="topic_name = 'Daily Double'">
			<![CDATA[IsDailyDouble = ]]>1<![CDATA[;]]>
		<xsl:variable name="question_variable">
			<xsl:call-template name="fixquotes">
			<xsl:with-param name="string" select="value[ $N ]/question"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="answer_variable">
			<xsl:call-template name="fixquotes">
			<xsl:with-param name="string" select="value[ $N ]/answer"/>
		</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="value_variable">
			<xsl:call-template name="fixquotes">
				<xsl:with-param name="string" select="value[ $N ]/amount"/>
			</xsl:call-template>
		</xsl:variable>
		<![CDATA[var DailyDouble_question = ']]><xsl:value-of select="$question_variable" /><![CDATA[';
		var DailyDouble_answer = ']]><xsl:value-of select="$answer_variable" /><![CDATA[';
		var DailyDouble_value = ']]><xsl:value-of select="$value_variable" /><![CDATA[';]]>
		</xsl:if>
</xsl:for-each>
</xsl:template>


<xsl:template match="topic">
		<xsl:if test="topic_name != 'Daily Double'">
		<th align="center"><xsl:value-of select="topic_name"/></th>
		</xsl:if>
</xsl:template>
			
<xsl:template name="fixquotes">
<!-- Escapes quotes -->
	<xsl:param name="string"/>
	<xsl:choose>
	<xsl:when test="contains($string, &quot;'&quot;)">
		<xsl:value-of select="substring-before($string, &quot;'&quot;)"/>
		<xsl:text>\'</xsl:text>
	<xsl:call-template name="fixquotes">
	<xsl:with-param name="string"
	select="substring-after($string, &quot;'&quot;)"/>
	</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
	<xsl:value-of select="$string"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
